<?php

/*------------------------------------------------------------------------
# "Hot Spinner" Joomla module
# Copyright (C) 2011 ArhiNet d.o.o. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

// Path assignments
$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = JURI :: base();
if(substr($mosConfig_live_site, -1)=="/") { $mosConfig_live_site = substr($mosConfig_live_site, 0, -1); }
 
// get parameters from the module's configuration
$enablejQuery = $params->get('enablejQuery','1');
$noConflict = $params->get('noConflict','1');
$UseImageB64 = $params->get('UseImageB64','1');
$moduleWidth = $params->get('moduleWidth','960');
$moduleHeight = $params->get('moduleHeight','350');
$bgColor = $params->get('bgColor','#000000');
$staticImageWidth = $params->get('staticImageWidth','60');
$staticImagePosition = $params->get('staticImagePosition','right');
$rotatingImageWidth = $params->get('rotatingImageWidth','120');
$rotatingImageHeight = $params->get('rotatingImageHeight','120');
$infoBoxWidth = $params->get('infoBoxWidth','380');
$infoBoxHeight = $params->get('infoBoxHeight','140');
$infoBoxVerticalPosition = $params->get('infoBoxVerticalPosition','60');
$infoAnimation = $params->get('infoAnimation','slide');
$animSpeed = $params->get('animSpeed','600');
$rotationSpeed = $params->get('rotationSpeed','18');
$rotationDirection = $params->get('rotationDirection','-1');
$rotationRadius = $params->get('rotationRadius','360');
$stopRotation = $params->get('stopRotation','1');
$perspective = $params->get('perspective','0.1');
$reflection = $params->get('reflection','1');
$reflectionHeight = $params->get('reflectionHeight','0.6');
$reflectionOpacity = $params->get('reflectionOpacity','2');
$headingFont = $params->get('headingFont','Arial, Helvetica, sans-serif');
$headingFontSize = $params->get('headingFontSize','20');
$headingFontWeight = $params->get('headingFontWeight','bold');
$headingFontColor = $params->get('headingFontColor','#000000');
$infoFont = $params->get('infoFont','Arial, Helvetica, sans-serif');
$infoFontSize = $params->get('infoFontSize','11');
$infoFontWeight = $params->get('infoFontWeight','normal');
$infoFontColor = $params->get('infoFontColor','#000000');

for ($loop = 1; $loop <= 10; $loop += 1) {
$slot[$loop] = $params->get('slot'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$rotatingImage[$loop] = $params->get('rotatingImage'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$staticImage[$loop] = $params->get('staticImage'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$slotHeading[$loop] = $params->get('slotHeading'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$slotText[$loop] = $params->get('slotText'.$loop,'');
}

for ($loop = 1; $loop <= 10; $loop += 1) {
$slotLink[$loop] = $params->get('slotLink'.$loop,'');
}


require(JModuleHelper::getLayoutPath('mod_hot_spinner'));
